Lucene++ - a full-featured, c++ search engine
API Documentation

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Protected Attributes
Lucene::PositionInfo Class Reference

`#include <SpanFilterResult.h>`

Inheritance diagram for Lucene::PositionInfo:

## Public Member Functions

| PositionInfo (int32_t doc)
virtual | ~PositionInfo ()
virtual String | getClassName ()
boost::shared_ptr< PositionInfo > | shared_from_this ()
void | addPosition (int32_t start, int32_t end)
int32_t | getDoc ()
Collection< StartEndPtr > | getPositions ()
Public Member Functions inherited from Lucene::LuceneObject
virtual | ~LuceneObject ()
virtual void | initialize ()
| Called directly after instantiation to create objects that depend on this object being fully constructed.
virtual LuceneObjectPtr | clone (const LuceneObjectPtr &other=LuceneObjectPtr())
| Return clone of this object.
virtual int32_t | hashCode ()
| Return hash code for this object.
virtual bool | equals (const LuceneObjectPtr &other)
| Return whether two objects are equal.
virtual int32_t | compareTo (const LuceneObjectPtr &other)
| Compare two objects.
virtual String | toString ()
| Returns a string representation of the object.
Public Member Functions inherited from Lucene::LuceneSync
virtual | ~LuceneSync ()
virtual SynchronizePtr | getSync ()
| Return this object synchronize lock.
virtual LuceneSignalPtr | getSignal ()
| Return this object signal.
virtual void | lock (int32_t timeout=0)
| Lock this object using an optional timeout.
virtual void | unlock ()
| Unlock this object.
virtual bool | holdsLock ()
| Returns true if this object is currently locked by current thread.
virtual void | wait (int32_t timeout=0)
| Wait for signal using an optional timeout.
virtual void | notifyAll ()
| Notify all threads waiting for signal.

## Static Public Member Functions

static String | _getClassName ()

## Protected Attributes

int32_t | doc
Collection< StartEndPtr > | positions
Protected Attributes inherited from Lucene::LuceneSync
SynchronizePtr | objectLock
LuceneSignalPtr | objectSignal

## Additional Inherited Members

Protected Member Functions inherited from Lucene::LuceneObject
| LuceneObject ()

## Constructor & Destructor Documentation

## ◆ PositionInfo()

Lucene::PositionInfo::PositionInfo | ( | int32_t | doc | ) |

## ◆ ~PositionInfo()

virtual Lucene::PositionInfo::~PositionInfo | ( |  | ) |

virtual

## Member Function Documentation

## ◆ _getClassName()

static String Lucene::PositionInfo::_getClassName | ( |  | ) |

inline static

## ◆ addPosition()

void Lucene::PositionInfo::addPosition | ( | int32_t | start,
|  | int32_t | end
| ) |  |

## ◆ getClassName()

virtual String Lucene::PositionInfo::getClassName | ( |  | ) |

inline virtual

## ◆ getDoc()

int32_t Lucene::PositionInfo::getDoc | ( |  | ) |

## ◆ getPositions()

Collection< StartEndPtr > Lucene::PositionInfo::getPositions | ( |  | ) |

## ◆ shared_from_this()

boost::shared_ptr< PositionInfo > Lucene::PositionInfo::shared_from_this | ( |  | ) |

inline

## Field Documentation

## ◆ doc

int32_t Lucene::PositionInfo::doc

protected

## ◆ positions

Collection<StartEndPtr> Lucene::PositionInfo::positions

protected

The documentation for this class was generated from the following file:

- SpanFilterResult.h

clucene.sourceforge.net